﻿Imports Telerik.Web.UI
Imports System.Data
Imports System.Drawing

Partial Class _Default
    Inherits System.Web.UI.Page

    Function HTML2Color(ByVal hex As String) As Color
        Return ColorTranslator.FromHtml(hex)
    End Function

    Function myCStr(ByVal dbstring As Object) As String
        If IsDBNull(dbstring) Then
            Return ("#ffffff")
        Else
            Return CStr(dbstring)
        End If
    End Function

    Protected Sub RadGrid1_ItemCommand(ByVal source As Object, ByVal e As GridCommandEventArgs) Handles RadGrid1.ItemCommand
        Select Case e.CommandName
            Case RadGrid.UpdateCommandName
                Dim editedItem As GridEditableItem = CType(e.Item, GridEditableItem)
                SqlDataSource1.UpdateParameters("myColor").DefaultValue = ColorTranslator.ToHtml(CType(editedItem.FindControl("RadColorPicker1"), RadColorPicker).SelectedColor)
            Case RadGrid.PerformInsertCommandName
                Dim insertItem As GridEditableItem = CType(e.Item, GridEditableItem)
                SqlDataSource1.InsertParameters("myColor").DefaultValue = ColorTranslator.ToHtml(CType(insertItem.FindControl("RadColorPicker1"), RadColorPicker).SelectedColor)
        End Select
    End Sub

End Class
